package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

import java.util.List;

public class VirtualSCSIMappings {
    private String group;
    private Metadata metadata;
    private List<VirtualSCSIMapping> virtualScsiMapping;

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public List<VirtualSCSIMapping> getVirtualScsiMapping() {
        return virtualScsiMapping;
    }

    public void setVirtualScsiMapping(List<VirtualSCSIMapping> virtualScsiMapping) {
        this.virtualScsiMapping = virtualScsiMapping;
    }

    public VirtualSCSIMappings() {
        super();
        this.group = "ViosSCSIMapping";
    }

    public VirtualSCSIMappings(List<VirtualSCSIMapping> virtualScsiMapping) {
        super();
        this.group = "ViosSCSIMapping";
        this.virtualScsiMapping = virtualScsiMapping;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
